System requirements for Blazor Components

21 Dec 20211 minute to read

Blazor applications can be developed using one of the following IDEs or using .NET CLI.

Integrated Development Environment

Blazor applications can be developed using one of the following IDEs. You can also develop using .NET CLI without below IDEs.

Framework & SDK

One of the the following .NET SDK is required to develop and run the Blazor application.

If you are planning to use Visual Studio to develop Blazor Applications.

  • .NET Core SDK 3.1.8 requires Visual Studio 2019 16.7 or later.
  • .NET 5.0 requires Visual Studio 2019 16.8 or later.
  • .NET 6.0 requires Visual Studio 2022 17.0 Preview 4.1 or later.